Subject: RE: IPP> clarification needed re: "ipp:" proposal

From: Paul Moore <[email-masked]>
Date: Mon, 6 Jul 1998 10:47:39 -0700

If I click on an ipp link, my browser or OS should pop up
	a window offering to print something to that printer, display
	the pending jobs in the queue, install a driver for that printer, 
	tell me where the printer is and how much it costs to use it, etc.
	Or maybe I can drag some other object and drop it on the 
	printer link, which causes it to be printed.  etc.
	Or I drag the printer link to my desktop, which causes an interface
	to that printer to be installed on my system.  Whatever.  The 
	point is that just by looking at an ipp: URL, a browser or OS or
	a human being can tell that it's a printer, and make use of that
	information without actually having to talk to the thing.

This has nothing to do with the IPP protocol - these are suggestions as to
what the users experience should be. There are a million and one web links
that when you click on them do things on the client side. I suspect that a
lot of OS vendors are going to do exactly what you describe. A printer URL
will be HTTP://xxxx/printerA (or whatever). This bears no relationship
whatsoever to the URL used by IPP for pumping print over the network - I
doubt that a user will ever see that URL (in a lot of cases it wont be
http://www.acme.com/myprinter (or IPP: or HTTP:....:370). It will be
something like http://www.acme.com/scripts/IPP/submit.pl?pr=myprinter or
some equally memorable string.

> -----Original Message-----
> From:	Keith Moore [SMTP:[email-masked]]
> Sent:	Friday, July 03, 1998 7:00 PM
> To:	Randy Turner
> Cc:	Keith Moore; Tom Hastings; [email-masked]; [email-masked]
> Subject:	Re: IPP> clarification needed re: "ipp:" proposal 
> 
> >  however just FYI, I believe either "ipp" or "http" schemes
> > MAY be included, but this is dependent upon the means used to determine
> the
> > URL in the first place. The administrator of such a service would
> publish
> > which ever URL was appropriate for how his/her server is configured.
> 
> I don't understand.  If you want to advertise a printer, you should use
> ipp:
> If you want to advertise a web server, you should use http:
> 
> Seems like the two should have very different user interfaces, which is
> one of the reasons for exposing the ipp/http difference in the URL.
> 
> For instance, if I click on an http link, I expect my browser or OS
> to display that file in a window or offer to save it locally.  
> 
> If I click on an ipp link, my browser or OS should pop up
> a window offering to print something to that printer, display
> the pending jobs in the queue, install a driver for that printer, 
> tell me where the printer is and how much it costs to use it, etc.
> Or maybe I can drag some other object and drop it on the 
> printer link, which causes it to be printed.  etc.
> Or I drag the printer link to my desktop, which causes an interface
> to that printer to be installed on my system.  Whatever.  The 
> point is that just by looking at an ipp: URL, a browser or OS or
> a human being can tell that it's a printer, and make use of that
> information without actually having to talk to the thing.
> 
> Keith